bug-gnulib
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

LGPLv3 for xalloc?


From: Christian Egli
Subject: LGPLv3 for xalloc?
Date: Thu, 21 Feb 2013 10:11:12 +0100
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1 (gnu/linux)

Hi all

I would like to use xalloc in liblouis[1] a library (and a couple of
programs) for braille transcription. The main author just sprinkled the
library code with stuff like

foo = malloc(FOO_SIZE);
if (!foo)
   outOfMemory();

I would like to replace this with xmalloc. However it appears that
xalloc is GPL. Would it be possible to relicense this under LGPLv3?

Thanks
Christian

Footnotes: 
[1]  http://code.google.com/p/liblouis/
-- 
Christian Egli
Swiss Library for the Blind, Visually Impaired and Print Disabled
Grubenstrasse 12, CH-8045 Z├╝rich, Switzerland




reply via email to

[Prev in Thread] Current Thread [Next in Thread]